IMPACT="Can lead to permission errors on Samba shares."

eval "$(ucr shell windows/domain)"

if cat /etc/samba/smb.conf | grep -q "idmap config $windows_domain : range"; then
	gid="$(univention-ldapsearch cn=gidNumber univentionLastUsedValue | sed -n 's/^univentionLastUsedValue: \(.*\)/\1/p')"
	uid="$(univention-ldapsearch cn=uidNumber univentionLastUsedValue | sed -n 's/^univentionLastUsedValue: \(.*\)/\1/p')"
	current="$uid"
	test "$gid" -gt "$current" && current="$gid"
	range="1000-54999"
	crange="$(ucr get samba/idmap/${windows_domain}/range)"
	test -n "$crange" && range="$crange" || true
	range=${range##*-}
	if [ "$current" -gt "$range" ]; then
		echo "Highest uid/gid seems to be out of idmap range!"
		exit 1
	fi
fi
